Bug 817515 - object-storage: not required error message about xattr
object-storage: not required error message about xattr
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Junaid
Saurabh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-30 07:10 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:47:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa41
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-04-30 07:10:15 EDT
Description of problem:
whenever the parallel PUTs are tried the this error message gets generated frequently,

Apr 30 00:31:38 gqas014 object-server STDOUT: ERROR:root:removexattr failed on /mnt/gluster-object/AUTH_test err: [Errno 61] No data available#012Traceback (most recent call last):#012  File "/usr/lib/python2.6/site-packages/swift/plugins/utils.py", line 316, in check_user_xattr#012    removexattr(path, 'user.test.key1')#012IOError: [Errno 61] No data available (txn: tx975c8dd2a8b1414c95eb7ad09ae06653)

which I assume is unnecessary, as this kind of check is not required during PUT. 

This message is seen even for new container and a container from where all the objects have been removed using "rm-rf" 

Version-Release number of selected component (if applicable):

3.3.0qa38 and gluster-plugin-1.0

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Junaid 2012-05-17 21:33:55 EDT
Fixed in latest rpms (rc1).
Comment 2 Saurabh 2012-05-22 03:35:05 EDT
verified on 3.3.0qa41 and latest rpms

Note You need to log in before you can comment on or make changes to this bug.